For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Users
      • POSTCreate User
      • GETGet User
      • DELRemove User
      • PATCHUpdate User
      • POSTCreate API Key
Logo
Log inBook a demo
API ReferenceUsers

Create API Key

POST
https://app.polytomic.com/api/organizations/:org_id/users/:id/keys
POST
/api/organizations/:org_id/users/:id/keys
$curl -X POST https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users/248df4b7-aa70-47b8-a036-33ac447e668d/keys \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{}'
1{
2 "data": {
3 "value": "pk_live_4f8a9b2c7d3e4f1a9b0c2d3e4f5a6b7c"
4 }
5}

Issues a new API key for the specified user.

🚧 Requires partner key

User endpoints are only accessible using partner keys.

Was this page helpful?
Previous

List Policies

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

org_idstringRequiredformat: "uuid"
Unique identifier of the organization the user belongs to.
idstringRequiredformat: "uuid"
Unique identifier of the user the key will be issued for.

Headers

X-Polytomic-VersionstringRequired

Query parameters

forcebooleanOptional
If true, revoke any existing API key for the user before creating a new one.

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error